Package io.dapr.internal.grpc.interceptors

# Class DaprTracingInterceptor

java.lang.Object
io.dapr.internal.grpc.interceptors.DaprTracingInterceptor

All Implemented Interfaces:
  `io.grpc.ClientInterceptor`

public class DaprTracingInterceptor extends Object implements io.grpc.ClientInterceptor
Injects tracing headers to gRPC metadata.

## Constructor Summary

Constructors
Constructor
Description
`DaprTracingInterceptor(reactor.util.context.ContextView context)`
Creates an instance of the injector for gRPC context from Reactor's context.

## Method Summary

Modifier and Type
Method
Description
`<ReqT, RespT>
io.grpc.ClientCall<ReqT,RespT>`
`interceptCall(io.grpc.MethodDescriptor<ReqT,RespT> methodDescriptor, io.grpc.CallOptions callOptions, io.grpc.Channel channel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DaprTracingInterceptor

public DaprTracingInterceptor(reactor.util.context.ContextView context)
Creates an instance of the injector for gRPC context from Reactor's context.

Parameters:
  `context` - Reactor's context

## Method Details

### interceptCall

public <ReqT, RespT> io.grpc.ClientCall<ReqT,RespT> interceptCall(io.grpc.MethodDescriptor<ReqT,RespT> methodDescriptor, io.grpc.CallOptions callOptions, io.grpc.Channel channel)

Specified by:
  `interceptCall` in interface `io.grpc.ClientInterceptor`